docs

# MediaContent

interface MediaContent : MessageContent
Content copied to clipboard

## Functions

asTelegramMedia
Link copied to clipboard
abstract fun asTelegramMedia (): TelegramMedia
Content copied to clipboard
createResend
Link copied to clipboard
abstract fun createResend ( chatId: ChatIdentifier , disableNotification: Boolean = false, protectContent: Boolean = false, replyToMessageId: MessageIdentifier ? = null, allowSendingWithoutReply: Boolean ? = null, replyMarkup: KeyboardMarkup ? = null): Request <out Message >
Content copied to clipboard

## Properties

media
Link copied to clipboard
abstract val media : TelegramMediaFile
Content copied to clipboard

## Inheritors

MediaCollectionContent
Link copied to clipboard
TextedMediaContent
Link copied to clipboard
StickerContent
Link copied to clipboard
VideoNoteContent
Link copied to clipboard

## Extensions

asDocumentContent
Link copied to clipboard
inline fun MediaContent . asDocumentContent (): DocumentContent
Content copied to clipboard